Ubuntu

error: too small lower memory (0x99100 > 0x98400)

Reported by LAZA on 2010-04-11
338
This bug affects 70 people
Affects Status Importance Assigned to Milestone
memtest86+ (Debian)
Confirmed
Unknown
memtest86+ (Ubuntu)
Medium
Dave Chiluk
Precise
Undecided
Dave Chiluk

Bug Description

Binary package hint: memtest86+

I tried today the new memtest86+ from Lucid after upgrading from Karmic.
After choosing memtest i got the error message , whether i tried memtest or memtest console.
The only possibility was to return to grub.
Had to return to Karmic cause of problems with lvm2... - so i cannot retry it but the event was reproducible.

Board: Gigabyte GA-MA790GP-UD4H
RAM: 2x 2x 2048 MB A-Data DDR2 800 MHz

I also had a lot of entrys in grub2 (2 for Lucid, 1 for Windows 7, 5 for Karmic, 4 for memtest86+)

LAZA (laza74) wrote :

Seems to be a general problem!
My now fresh installed Karmic got the same problem...

Linux lucid 2.6.31-20-generic #58-Ubuntu SMP Fri Mar 12 04:38:19 UTC 2010 x86_64 GNU/Linux
grub-common 1.97~beta4-1ubuntu4.1
memtest86+ 2.11-3ubuntu5

Changed in memtest86+ (Debian):
status: Unknown → Confirmed
LAZA (laza74) wrote :

Also the fresh installed Lucid...

Fred Fox (fredfox-networksplus) wrote :

I have this same problem on a Dell Studio XPS with Core I7 running Karmic 64 bit.

Anton Kraus (done) wrote :

Same problem on a Gigabyte GA-770TA-UD3 (AMD 770chipset), Phenom II X4.

Running 64bit Lucid.

Radu Cotescu (radu) wrote :

This manifests on Lucid 64, running on a system with Intel Core i7-930 on an ASRock X58 Extreme motherboard with the latest BIOS version, 6 GB of RAM.

Changed in memtest86+ (Ubuntu):
status: New → Confirmed
krishaqua (kicha1978) wrote :

See this issue with Linux Mint 9

Intel Motherboard: D945GCNL
2x1GB DD2 RAM

XabiX (xdealmeida) wrote :

Same problem "error too small lower memory (99100 > 94c00)" with:

Lucid 64 2.6.33R5
Gigabyte GA-H57M-USB3 firmware F6
2*1Go RAM

xabix@HTPC:/media$ apt-cache policy memtest86+
memtest86+:
  Install: 4.00-2ubuntu3
  Candidat: 4.00-2ubuntu3
 Table de version:
 *** 4.00-2ubuntu3 0
        500 http://fr.archive.ubuntu.com/ubuntu/ lucid/main Packages
        100 /var/lib/dpkg/status

Steve Atwell (satwell) wrote :

I'm seeing a similar error message: "error: too small lower memory (0x99100 > 0x96800)."

Dell T3500 workstation with 12GB of RAM
Ubuntu Lucid AMD64
memtest86+ 4.00-2ubuntu3

Srinivas J R (koolguy) wrote :

I do have the similar error says:
error: too small lower memory (0x99100 > 0x8f000)
Press any key to continue...

## My system Specs:

-Computer-
Processor : 2x Intel(R) Core(TM)2 CPU 4400 @ 2.00GHz
Memory : 1020MB (679MB used)
Operating System : Ubuntu 10.10

-Display-
Resolution : 1152x864 pixels
OpenGL Renderer : Unknown
X11 Vendor : The X.Org Foundation

-Multimedia-
Audio Adapter : HDA-Intel - HDA Intel

-Input Devices-
 Sleep Button
 Power Button
 AT Translated Set 2 keyboard
 ImPS/2 Logitech Wheel Mouse
 HDA Intel Line In at Ext Rear Jack
 HDA Intel Mic at Ext Front Jack
 HDA Intel Mic at Ext Rear Jack
 HDA Intel Mic at Ext Rear Jack
 HDA Intel Line In at Ext Rear Jack
 HDA Intel Line Out at Ext Rear Jack
 HDA Intel HP Out at Ext Front Jack
-Printers-
No printers found
-SCSI Disks-
ATA ST3160215AS
HL-DT-ST DVDRAM GSA-H42L

## Additional info -

Output of free -m
             total used free shared buffers cached
Mem: 996 858 138 0 43 282
-/+ buffers/cache: 532 464
Swap: 3069 0 3069

Output of df -h
Filesystem Size Used Avail Use% Mounted on
/dev/sda6 5.5G 3.4G 2.0G 64% /
none 492M 268K 492M 1% /dev
none 499M 116K 499M 1% /dev/shm
none 499M 92K 499M 1% /var/run
none 499M 0 499M 0% /var/lock

*uname -a
Linux roopa-desktop 2.6.35-22-generic #35-Ubuntu SMP Sat Oct 16 20:45:36 UTC 2010 x86_64 GNU/Linux

*lsb_release -d
Description: Ubuntu 10.10

Srinivas J R (koolguy) wrote :
Srinivas J R (koolguy) wrote :
Srinivas J R (koolguy) wrote :
Srinivas J R (koolguy) wrote :
hallenrm (hallenrm-yahoo) wrote :

I also have exactly the same problem. I have a PC with Atom 1.6 Ghz processor and 1 MB RAM. I have intalled Maverick (Ubuntu 10.10) only yesterday. On Memtest at boot, i get the message "too small lower memory (0X99100 > 0X8f000)

Guy (guy-b) wrote :

The same here, error: To small lower memory (0x99100 > 0x98400) on Lucid 10.04 up to date with 4Gb of ram on GA-MA 770-UD3.

Natalia Bidart (nataliabidart) wrote :

I'm having the same issue as hallenrm: "too small lower memory (0X99100 > 0X8f000)"

I'm running maverick on a 8GB machine.

Groening (vonbehren-c) wrote :

*bump*
any news on this one?

XabiX (xdealmeida) wrote :

This was an issue with Lucid and now with Maverick. I agree it would be good to have it solved.

malheum (maxheise) wrote :

I am affected by this error in memtest86+, too. I get exactly the same error message:

error: too small lower memory (0x99100 > 0x98400)

This is a fresh install of Ubuntu 10.10 Maverick, AMD64, all software patches installed.

Motherboard is a Gigabyte MA-770T-UD3
CPU is a AMD Athlon II X2 250
4 GB of DDR3 1066 ram in two modules of 2GB each.

I will now try to upgrade my motherboard bios firmwire to see if that helps.

$ apt-cache showpkg memtest86+
Package: memtest86+
Versions:
4.10-1ubuntu2 (/var/lib/apt/lists/de.archive.ubuntu.com_ubuntu_dists_maverick_main_binary-amd64_Packages) (/var/lib/dpkg/status)
 Description Language: de
                 File: /var/lib/apt/lists/de.archive.ubuntu.com_ubuntu_dists_maverick_main_i18n_Translation-de
                  MD5: 26ade87d6d5fa8a97fc7d00590e7a754
 Description Language:
                 File: /var/lib/apt/lists/de.archive.ubuntu.com_ubuntu_dists_maverick_main_binary-amd64_Packages
                  MD5: 26ade87d6d5fa8a97fc7d00590e7a754

Reverse Depends:
  live-build,memtest86+
  ubuntu-standard,memtest86+
Dependencies:
4.10-1ubuntu2 - debconf (18 0.5) debconf-2.0 (0 (null)) hwtools (0 (null)) memtester (0 (null)) kernel-patch-badram (0 (null)) memtest86 (0 (null)) grub-pc (16 (null)) grub-legacy (0 (null)) mtools (0 (null))
Provides:
4.10-1ubuntu2 -
Reverse Provides:

Hugh Saunders (hughsaunders) wrote :

I couldn't boot into memtest from my lucid install. I then tried lucid and hardy CDs, but neither worked.

I then downloaded a memtest iso[1] from memtest.org, and that worked.

[1] http://www.memtest.org/download/4.10/memtest86+-4.10.bin.gz

Bryan (what-ever) wrote :

I got "error too small lower memory (99100 > 96400)

I'm on Ubuntu 10.10 64bit Raid1
         CPU: Intel® Core i5 750
         Motherboard: Asus P7P55D (P55 Chipset, Socke 1156, 4x DDR3)
         Memory: 4GB DDR3 1333mhz (2x 2GB)
         Hard Drives: 500GB S-ATAII 3.0Gb/s - QTY: 2
         Graphics card: ATI Radeon HD 4850 512MB

Nifty (violentsense) wrote :

"Too small lower memory (0x99100 > 0x8f000)"

Same problem on Ubuntu 10.10 x86

M/B : Intel D525MW (Intel Atom)
Memory: 2 x 2Gb DDR3-1066 SODIMM
HDD : Seagate 7200.4 500Gb

Robert Jacobs (robert-jacobs) wrote :

Workaround is to boot using ultimate boot cd from CD or usb stick and choose memtest.
I believe this has to do with the version of grub because this software will work with older versions of grub.
I don' know how grub and memtest interact.
http://ultimatebootcd.com/

Bryce Nesbitt (bryce2) wrote :

Same here on Intel Atom board. Ubuntu 10.10. Problem persists even if I drop the Memtest 4.20 binary in to the Ubuntu /boot partition.

Loïc Minier (lool) wrote :

A simpler workaround which worked for me but might not work in all cases or might not be available is to use the "multiboot" entry in the boot menu; in maverick, you would have to re-enable it in /etc/grub.d/20_memtest86+ and run update-grub.

The reported reason why this entry is commented out in Ubuntu by default is:
    - Drop the multiboot image from the GRUB menu for now, since it's
      experimental and has known problems detecting all memory on some
      systems at the moment.

so double-check that you see all your memory when using the multiboot version.

PetaZeta (vamosaver) wrote :

My PC stops working suddenly. Temperature doesn't seem to be an issue, and trying memtest returns the same error with too small a lower memory.
Could it have to do with those sudden stops?

Steve Langasek (vorlon) on 2012-04-28
Changed in memtest86+ (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → Medium
MvW (2nv2u) wrote :

Still happens in 12.04

Still happens in 12.10 with BIOS F7c on mainboard Gigabyte GA-MA-790GP-UD-4H

Stéphane Fillod (fillods) wrote :

Also happens in 12.10 with BIOS FC 06/05/2012 on mainboard Gigabyte M68MT-S2, 4GB of memory, Athlon(tm) II X2 260.

Installed: grub 2.00-7ubuntu5, and memtest86+ 4.20-1.1ubuntu1.

Ben (benmctee) wrote :

Affects me:
Ubuntu 12.04 LTS
Memory: 12 GiB
Processor: Intel Core i7 CPU 870 @ 2.93GHz x 8
Graphics: GeForce GTS 450/PCIe/SSE2

Mike Harris (mwharris-h) wrote :

I've reproduced this with an HP Z620, with 64G of RAM.

A1an (alan-b) wrote :

Same issue on Ubuntu 10.04.4 LTS
4x2GB 1333MHz RAM
Intel board DP55WB

too small lower memory (0x99100 > 0x8f000).

Geoffrey Morrison (gsnoorky) wrote :

Xubuntu 12.10 similar error. Popped up recently--I've been having problems with memory and paging, so I ran memtest86+ from menu. My optical drives weren't detected--system kept polling them till they weren't. Rabbit TV required much memory--deep paging using WinXP.

Had recently ordered two bigger sticks (2X4GB Wintec DDR3 1600) to replace Kingston XMS 2X2GB DDR3 1600--installed earlier today, auto settings: Same error. I'm going to try to reset the CMOS jumper, then set optimal settings . I'll relate results.

Sys does run markedly better--doesn't rely upon heavy paging much anymore; optical drives detected again and work nominally after new mem installed. (I was worried about SATA ports.) Sys is not so "challenged" as before.

I don't think that this is an OS problem--memtest loads before that. Systemsuite 14 for Windows does "optimize" memory--this requires a reboot to enable--I do reboot and wait patiently for XP to load again.. It seems that that shouldn't be relevant....

Gigabyte GA-M68MT-S2P AM3 motherboard
AMD AM3 Sempron Sargas 145--dual-core via BIOS Setting
Kingston DDR3 1600 XMS 2X2GB kit
Wintec DDR3 1600 XMS 2X4GB kit
Visiontek Radeon HD 4670
Coolermaster 600W PS
Haier 22" LED TV, DVI-HDMI cabling
Hitachi/IBM SATA 500GB
Hitachi/IBM SATA 320GB
Onboard analog stereo
Maxtor 200GB ATA-133
Promise PCI EIDE controler card (Came with Maxtor drive: works only with 32-bit Windows driver and OS (XP here)--does work with Xubuntu 12.10 AMD64, though)--I do have a Siig PCI-EX 1 controller card, now.
WinXP, SP3
LG super multi SATA DVD burner
HP SATA DVD-ROM

Geoffrey Morrison (gsnoorky) wrote :

No change. Even took out CMOS battery. Still can't test mem. I got a new "Triple-core" CPU yesterday; I want to put that in, also.

I've heard that a newer version of memtest86+ is available. Shall try downloading ISO and burning...shall investigate that first.

Geoffrey Morrison (gsnoorky) wrote :

I Just downloaded newest version of memtest86+ available (4.20--uploaded at 01/25/2011) from memtest.org. I then extracted the ISO from a .gz archive with Archive Manager, and burned the ISO to DVD as an image with xfburn. (I couldn't find a handy CD--extracted ISO after download is a mere 1MB+.) Then, I configured my BIOS for CD/DVD boot, and booted with the DVD. Memory tests auto-started immediately after boot--those are still going.

For this sys, anyway, the problem is solved--at least for now. Memtest86+, via Grub, did work a couple of days ago on my Win 7 Home Premium system. (Floppy and USB stub versions also are available for downloading. For CD/DVD ISO burning, .gz and .zip archives are available.)

I don't know if memtest86+ on Linux install CDs/DVDs works or not. Apparently, at grub multi-boot memtest86+ is legacy/incorrect--alternately (somehow), the programs are mis-configured by Grub. The burned ISO CD/DVD doesn't depend upon an OS, Grub, or an OS install CD/DVD--it depends more directly upon the hardware and BIOS.

I'll keep the DVD handy, if needed. Bye!

dino99 (9d9) on 2013-05-04
tags: added: lucid
tags: added: quantal
Enrico Z. (zenenrico96) wrote :

The bug affects me too, I'm using Precise 12.04.2 on an HP Pavilion Elite hpe-130it computer (motherboard MS-7613, BIOS version 5.15, Intel i5-650 CPU ).
However, Memtest works fine if I use the bootable ISO available on memtest.org, using both the latest version and the one that comes with the Ubuntu 12.04.2 DVD, so I think it's not a Memtest developer's fault.

tags: added: precise
Enrico Z. (zenenrico96) wrote :

Forgot to say that I'm using Memtest 4.20.1.1ubuntu1 (latest verion available from the repos AFAIK)

Dave Chiluk (chiluk) wrote :

I just created a ppa for memtest that changes the default memtest to the elf binary , and loads it at 0x100000. Can the people on this thread please test the ppa available at the below link and report back.
https://launchpad.net/~chiluk/+archive/lp560839

As I do not have any machines that fail, I will not be able to trully test this fix. That being said it does not break any of the 5 machines I have tested it on.

Dave Chiluk (chiluk) wrote :
Dave Chiluk (chiluk) wrote :
Dave Chiluk (chiluk) wrote :
Dave Chiluk (chiluk) on 2013-10-23
Changed in memtest86+ (Ubuntu):
assignee: nobody → Dave Chiluk (chiluk)
Dave Chiluk (chiluk) on 2013-10-23
Changed in memtest86+ (Ubuntu):
status: Triaged → In Progress

The attachment "lp560839.precise.debdiff" seems to be a debdiff. The ubuntu-sponsors team has been subscribed to the bug report so that they can review and hopefully sponsor the debdiff. If the attachment isn't a patch, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are member of the ~ubuntu-sponsors, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issue please contact him.]

tags: added: patch
LeForgeron (jgrimbert) wrote :

I tested the proposed ppa: it works and solves the issue of running memtest86+ from the local hard disk at boot time.

Good job.

Tony Locke (tlocke) wrote :

I too tested the patch for saucy and I can confirm that it fixed the problem. Thanks.

I'm having same issue. When will this be integrated upstream?

Dave Chiluk (chiluk) wrote :

@Kristian et al

As this is a pretty drastic change with potential of breaking MANY people, I'm waiting for quite a few people letting me know the PPA in #39 has fixed the issue before I push on getting this into the mainstream codebase.

Also when testing please let me know which series you tested against (Precise, q,r,s,t ...).

LeForgeron (jgrimbert) wrote :

Tested in saucy, as reported at #44, ppa works fine. (Asrock bios, if it matters)

Ben Blankley (ben-blankley) wrote :

I just tested the PPA posted by Dave Chiluk for memtest86+ on Saucy, and I was able to run the full test without the "too small lower memory" error. My computer is a Toshiba A205 laptop, Intel GM965/GL960 chipset.

Teunis Peters (teunis) wrote :

Works for me, Gigabyte / Intel core i5

paul rosenberg (prose) wrote :

works for me on Ubuntu 13.04
Intel® Core™ i5 CPU 750 @ 2.67GHz × 4

Loïc Minier (lool) wrote :

I tested this on a problematic machine (triggering the relocation error) with an Award BIOS from a Gigabyte P55A-UD3 motherboard with 4x2048MiB of RAM and the memory was correctly detected and the memtest run started; thanks for working on this!

I was using the multiboot version previously, which ISTR used to help, but it's been broken for a couple of releases.

Steve Langasek (vorlon) wrote :

Dave, since you say you're still waiting for feedback before pushing, I'm unsubscribing ubuntu-sponsors. Please resubscribe them when this is ready for upload.

Dave Chiluk (chiluk) wrote :

I'm uploading a trusty debdiff. At this point no one that has tried the PPA has found an issue with it. So I think the next steps should be to upload the fix to trusty, let it bake for a while, and then sru the solution back from there.

Dave Chiluk (chiluk) wrote :

fixed per feedback from infinity

Dave Chiluk (chiluk) wrote :

Fixed debdiff so that grub menu entries are not modified to specify elf.

Dave Chiluk (chiluk) wrote :

no comment....

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package memtest86+ - 4.20-1.1ubuntu6

---------------
memtest86+ (4.20-1.1ubuntu6) trusty; urgency=low

  [ Rajeev V. Pillai ]
  * Use ELF memtest86+ binary and load into high memory. This solves the error
    "error: too small lower memory" with certain bioses. (LP: #560839)
 -- Dave Chiluk <email address hidden> Tue, 03 Dec 2013 14:43:44 -0600

Changed in memtest86+ (Ubuntu):
status: In Progress → Fix Released
Graham Inggs (ginggs) wrote :

This should fix LP: #19885 as well. Unfortunately I don't think I have still have any machines that exhibit that problem.

vsespb (vsespb) wrote :

> This bug was fixed in the package memtest86+ - 4.20-1.1ubuntu6
> In Progress → Fix Released
Why it's not fixed in Ubuntu 12.04 ? Is 12.04 not supported anymore?

Dave Chiluk (chiluk) wrote :

It is and it will. It's just getting time to bake in 14.04.

Dave Chiluk (chiluk) wrote :

So I got a report that this change has regressed console memtest86+. I have verified that precise package in my ppa does indeed cause the regression on the serial console menuentry. I'm installing trusty on my testbed that has a serial port now, to verify there.

Also as an aside, I tested running the memtest86+_multiboot.bin, and it was only able to test the see 640k of ram.

#nuts...

Dave Chiluk (chiluk) wrote :

I just confirmed with trust.
Loading memtest with
> knetbsd /boot/memtest86+.elf console=ttyS0,115200n8
Ignores the serial console option.

Loading memtest with
> linux16 /boot/memtest86+.bin console=ttyS0,115200n8
Works, but the above issue would still exist on some machines.

Loading memtest with
> multiboot /boot/memtest86+_multiboot.bin console=ttyS0,115200n8
Displays to both serial and console, but only sees the first 640k of ram.

So I think we need to change the console line to use the old method ie.
> linux16 /boot/memtest86+.bin console=ttyS0,115200n8
This is unfortunate, as people who are using machines with the BIOS issue will not be able to memtest over serial, but that's the state of things at the moment.

Dave Chiluk (chiluk) wrote :

Here's a patch that only reverts the serial console changes.

Adam Conrad (adconrad) on 2014-03-06
Changed in memtest86+ (Ubuntu):
status: Fix Released → In Progress
Changed in memtest86+ (Ubuntu Precise):
assignee: nobody → Dave Chiluk (chiluk)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package memtest86+ - 4.20-1.1ubuntu7

---------------
memtest86+ (4.20-1.1ubuntu7) trusty; urgency=low

  * Revert to using linux16 memtest image when using serial console. As
    knetbsd + elf + serial console does not work. (LP: #560839)
 -- Dave Chiluk <email address hidden> Thu, 06 Mar 2014 01:07:09 -0600

Changed in memtest86+ (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.